.wcl-event__container {
  color: var(--c-main);
}
.wcl-event__content {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.wcl-event__title {
  text-align: center;
  margin-bottom: 40px;
}
.wcl-event__post {
  width: 100%;
  display: flex;
  align-items: center;
  gap: 50px;
  background-color: var(--c-white);
  padding: 20px;
  border-radius: 30px;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
}
.wcl-event__post-image-container {
  width: 100%;
  max-width: 532px;
}
.wcl-event__post-image {
  width: 100%;
  height: auto;
  border-radius: 15px;
  overflow: hidden;
  aspect-ratio: 532/408;
}
.wcl-event__post-image img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
  -o-object-position: center;
     object-position: center;
  transition: transform 0.5s ease-in-out 0s;
}
.wcl-event__post-body {
  display: flex;
  flex-direction: column;
  width: 100%;
  max-width: 644px;
}
.wcl-event__post-label {
  width: -moz-fit-content;
  width: fit-content;
  font-size: 14px;
  font-weight: 700;
  color: var(--c-orange);
  background-color: var(--bg-main);
  padding: 12px 16px;
  border-radius: 30px;
  margin-bottom: 10px;
}
.wcl-event__post-title {
  font-weight: 500;
  font-size: 32px;
  line-height: 1.2;
  margin-bottom: 25px;
}
.wcl-event__post-excerpt {
  color: var(--c-text);
  margin-bottom: 25px;
}
.wcl-event__post-meta {
  display: flex;
  justify-content: space-between;
  gap: 20px;
  margin-bottom: 25px;
}
.wcl-event__post-date {
  width: 100%;
  max-width: calc(40% - 10px);
  display: flex;
  align-items: center;
  gap: 8px;
  font-size: 18px;
  font-weight: 500;
}
.wcl-event__post-date svg {
  width: 32px;
  height: 32px;
  vertical-align: middle;
  flex-shrink: 0;
}
.wcl-event__post-location {
  width: 100%;
  max-width: calc(60% - 10px);
  display: flex;
  align-items: center;
  gap: 8px;
  font-size: 18px;
  font-weight: 500;
}
.wcl-event__post-location svg {
  width: 32px;
  height: 32px;
  vertical-align: middle;
  flex-shrink: 0;
}
.wcl-event__post-footer {
  display: flex;
  justify-content: space-between;
}
.wcl-event__post-availability {
  display: flex;
  flex-direction: column;
  color: var(--c-orange);
  font-weight: 700;
  font-size: 16px;
}
@media (min-width: 23.4375em) and (max-width: 81em) {
  @supports (margin-top: clamp( 2.5rem , 0.3369299674rem  +  9.2290988056vw , 7.8125rem )) {
    .wcl-event {
      margin-top: clamp( 2.5rem , 0.3369299674rem  +  9.2290988056vw , 7.8125rem );
    }
  }
  @supports not (margin-top: clamp( 2.5rem , 0.3369299674rem  +  9.2290988056vw , 7.8125rem )) {
    .wcl-event {
      margin-top: calc(2.5rem + 5.3125 * (100vw - 23.4375rem) / 57.5625);
    }
  }
  @supports (margin-bottom: clamp( 2.5rem , 0.3369299674rem  +  9.2290988056vw , 7.8125rem )) {
    .wcl-event {
      margin-bottom: clamp( 2.5rem , 0.3369299674rem  +  9.2290988056vw , 7.8125rem );
    }
  }
  @supports not (margin-bottom: clamp( 2.5rem , 0.3369299674rem  +  9.2290988056vw , 7.8125rem )) {
    .wcl-event {
      margin-bottom: calc(2.5rem + 5.3125 * (100vw - 23.4375rem) / 57.5625);
    }
  }
}
@media (min-width: 81em) {
  .wcl-event {
    margin-top: 7.8125rem;
  }
  .wcl-event {
    margin-bottom: 7.8125rem;
  }
}
@media screen and (max-width: 1024px) {
  .wcl-event__post {
    flex-direction: column;
    gap: 40px;
  }
  .wcl-event__post-body {
    max-width: 100%;
  }
}
@media screen and (max-width: 768px) {
  .wcl-event__post-meta {
    flex-direction: column;
    justify-content: flex-start;
  }
  .wcl-event__post-date {
    max-width: 100%;
  }
  .wcl-event__post-location {
    max-width: 100%;
  }
}
@media screen and (max-width: 576px) {
  .wcl-event__post {
    gap: 20px;
  }
  .wcl-event__post-title {
    font-size: 28px;
  }
  .wcl-event__post-footer {
    flex-direction: column;
    justify-content: flex-start;
    gap: 15px;
  }
  .wcl-event__post-availability {
    flex-direction: row;
    gap: 5px;
  }
}
@media (max-width: 23.4375em) {
  .wcl-event {
    margin-top: 2.5rem;
  }
  .wcl-event {
    margin-bottom: 2.5rem;
  }
}
@media (any-hover: hover) {
  .wcl-event__post-image:hover img {
    transform: scale(1.1);
  }
}
